//**************************************************************************************************
//*  FRIDA: fast reliable interactive data analysis
//*  (C) Joachim Wuttke 1990-, v2(C++) 2001-
//*  http://apps.jcns.fz-juelich.de/frida
//**************************************************************************************************

//! \file  curve.hpp
//! \brief NCurveFile: Methods to create, inspect, modify curve files.

#ifndef CURVE_H
#define CURVE_H

class CSpec;

//! Methods to create, inspect, modify curve files.

namespace NCurveFile
{

void create_fitcurve();
void create_freecurve();
void change_expr();
void change_prange();
void set_file_reference(const string& which);

void set_properties(const string& which);
void pars_query();
void pars_abs();
void pars_copy();
void show_pars(const string& which);
void edit_pars();
void set_par_attr(char attr);

void get_conv(const CSpec** sv, int* kv, int* jv, int k, int j);
}

#endif // CURVE_H
